
%define _prefix		/usr

Name:			qtstalker
Summary:		A user friendly Technical Analysis package
Version:		0.36
Release:		%mkrel 1
License:		GPL
Group:			Finance
URL:			http://qtstalker.sourceforge.net/
Source:			%{name}-%{version}.tar.xz
Source1:		%{name}.png
Source2:		qtstalker.desktop
Patch:			%{name}-gcc43.patch
Patch1:			qtstalker-stringcompare.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:		libta-devel
BuildRequires:		libqt3-devel
Requires:		libta0
Requires:		libqt3
Requires:		libqt3-mysql

%description
Qtstalker is a user friendly Technical Analysis package for GNU/Linux
(and hence other Unix-like systems). Similar to commercial wares such
as Metastock, Supercharts and Tradestation. Keeps to a lean, simple
design for speed, portability, and low resource usage. Because it
uses a plugin model, Qtstalker can easily be extended.

Qtstalker is 100% free software, distributed under the terms of the
GNU GPL. An active development community is continually adding new
features. We appreciate your input towards creating a world-class
GNU/Linux TA package. 

Features
* A point-and-click object-oriented graphical user interface.
* Chart types include line, bar and candlestick.
* Customizable colors. Logarithmic and linear arithmetic scaling.
* Indicators plugins include MACD, MAs, Bollinger Bands, RSI, and
  dozens more. Provides access to the TA-Lib library of common
  functions.
* A simple scripting facility to create custom indicators. This
  powerfully enables combination of different plots in one indicator
  and combining of other indicators and calculations.
* A special indicator "ExScript" enables external scripts to pass
  data in.
* An 'Indicator Summary' tool shows a table of all indicator parameters
  from all active indicators. It also writes the data to XML output
  for use by external programs.
* Chart drawing objects: trendlines, buy/sell arrows, horizontal and
  vertical lines, fibonacci retracement lines, text and cycles.
* Quote plugins download data from online sources such as Yahoo,
  CME, NYBOT.
* Data import plugins for plain-text CSV files.
* The "Plugin" architecture for quotes and indicators enables easy
  future extensibility.
* Minute, daily, weekly and monthly chart compression options.
* Various data classes to support for investment types such as stocks,
  futures, indices, ratios and spreads.
* A back testing function allowing indicator performance tests using
  actual trading data.
* A very basic portfolio manager. Good for tracking open positions.
* A Scanner that can scan the qtstalker database for charts that
  meet a user defined criteria.
* A paper trading mode enabling users to practice trading without
  risking capital.


%prep
%setup -q -n %{name}-%{version}
%patch -p1
%patch1 -p1

# adjust install paths ...
%__sed -i -e 's|/usr/local|/usr|g' \
	lib/lib.pro
%__sed -i -e 's|target.path = /usr/lib|target.path = %{buildroot}%{_libdir}|g' \
	lib/lib.pro

%__sed -i -e 's|/usr/local|/usr|g' \
	src/src.pro
%__sed -i -e 's|target.path = /usr/bin|target.path = %{buildroot}%{_bindir}|g' \
	src/src.pro

for i in CME CSV NYBOT Yahoo; do
	%__sed -i -e 's|target.path = /usr/local/lib|target.path = %{buildroot}%{_libdir}|g' \
		plugins/quote/$i/$i.pro
done

%__sed -i -e 's|/usr/local/share/doc|%{buildroot}%{_docdir}|g' \
	docs/docs.pro
%__sed -i -e 's|/usr/local/share/qtstalker|%{buildroot}%{_datadir}/%{name}|g' \
	docs/docs.pro

# adjust paths in sources ... hardcoded uuurgh
%__sed -i -e 's|/usr/local/lib|%{_libdir}|g' \
	lib/RcFile.cpp
%__sed -i -e 's|/usr/local/share/doc|%{_docdir}|g' \
	lib/RcFile.cpp
%__sed -i -e 's|/usr/local/share/doc|%{_docdir}|g' \
	lib/Config.cpp
%__sed -i -e 's|/usr/local/share|%{_datadir}|g' \
	lib/Config.cpp
%__sed -i -e 's|/usr/local/lib|%{_libdir}|g' \
	lib/Config.cpp
%__sed -i -e 's|/usr/local/share|%{_datadir}|g' \
	src/Qtstalker.cpp

%build
export QTDIR=/usr/lib/qt3
export PATH=$QTDIR/bin:$PATH
./configure
%__make 

%install
rm -rf %{buildroot}
%makeinstall

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

# menu
%__install -dm 755 %{buildroot}%{_datadir}/applications
install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/applications/%{name}.desktop

#remove uneeded
rm -rf %{buildroot}%{_libdir}/libqtstalker.so


%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}/*
%{_bindir}/%{name}
%{_libdir}/libqtstalker.so*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Dec 28 2010 Texstar <texstar at gmail.com> 0.36-1pclos2010
- import into pclos based on specfile from Toni Graffy

